抖音解析

GET
http://api.xuewutheme.com/api/video/douyin

获取抖音无水印视频,图集。

接口概述

请求示例: http://api.xuewutheme.com/api/img/douyin?apikey=用户开通的apikey&url=https://v.douyin.com/iLULrjDg/

获取抖音无水印视频,图集。

请求参数

参数名 类型 必填 描述
apikey string 整数 string

用户开通的apikey

url string 整数 string

抖音视频连接

响应参数

成功响应

状态码: 200 OK
格式: json
参数名 类型 描述
code integer integer

返回的状态码

data object object

返回的数据/数据对象

msg string string

返回的消息

time string string

请求时间

data.author string string

作者名称

data.cover string string

视频封面图片地址

data.like int int

点赞数

data.music_Avatar string string

背景音乐头像地址

data.music_Name string string

背景音乐名称

data.music_bgm string string

背景音乐地址

data.time int int

视频发布时间戳

data.title string string

视频标题

data.uid string string

作者ID

data.video_id string string

视频ID

data.video_url string string

无水印视频地址

响应示例

JSON
{
    "code": 200,
    "data": {
        "author": "大众影视",
        "cover": "https://p3-sign.douyinpic.com/tos-cn-p-0015/841251f2c92a4dfeaa85a0df96f07b3b_1701619156~tplv-dy-360p.jpeg?x-expires=1706947200&x-signature=r8%2BnpwMlp9opNVuICr4x2%2BkwJwM%3D&from=3213915784&s=PackSourceEnum_AWEME_DETAIL&se=false&sc=origin_cover&biz_tag=aweme_video&l=2024012016245692B198382B44180D7C92",
        "like": 123737,
        "music_Avatar": "https://p3.douyinpic.com/aweme/720x720/aweme-avatar/tos-cn-avt-0015_988156708234a01750a7e37c29f419a7.jpeg?from=116350172",
        "music_Name": "大众影视",
        "music_bgm": "https://sf86-cdn-tos.douyinstatic.com/obj/ies-music/7308398941312256806.mp3",
        "time": 1701619096,
        "title": "叶问2完结一镜到底,24分钟带你一饱眼福",
        "uid": "104736693569",
        "video_id": "7308397891100478747",
        "video_url": "http://v3-default.douyinvod.com/2c39cdbfd3ae56d857d7051847795431/65ab970a/video/tos/cn/tos-cn-ve-15/ooPNfe2XTZeUK4lBgpICAsEcH2RB6g4A7mmoJt/?a=0&ch=26&cr=3&dr=0&lr=all&cd=0%7C0%7C0%7C3&cv=1&br=1779&bt=1779&cs=0&ds=6&ft=htHkhUyyxxouhL.D1PD12ldU6pt2GbECMUkwF_9i37CK2Nz7T&mime_type=video_mp4&qs=0&rc=OjZlPDtpaGRlNmQzNDo5aEBpanFmdTQ6ZndkbzMzNGkzM0A2YF9iNDQvNTYxYDJgM2NjYSNnbWwtcjRnMmpgLS1kLS9zcw%3D%3D&btag=e00038000&dy_q=1705739096&feature_id=f0150a16a324336cda5d6dd0b69ed299&l=2024012016245692B198382B44180D7C92"
    },
    "msg": "请求成功!",
    "time": "2024-01-20 16:24:56"
}    

请求示例

cURL

Bash
curl -X GET \
  "https://api.example.com/v1/users/12345" \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..." \
  -H "Content-Type: application/json"

Python

Python
import requests

url = "https://api.example.com/v1/users/12345"
headers = {
    "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "Content-Type": "application/json"
}

response = requests.get(url, headers=headers)
print(response.json())

JavaScript

JavaScript
const response = await fetch(
  'https://api.example.com/v1/users/12345',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...',
      'Content-Type': 'application/json'
    }
  }
);

const data = await response.json();
console.log(data);

PHP

PHP
$ch = curl_init();

curl_setopt($ch, CURLOPT_URL, "https://api.example.com/v1/users/12345");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");

$headers = array();
$headers[] = "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...";
$headers[] = "Content-Type: application/json";
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$result = curl_exec($ch);
echo $result;

curl_close($ch);

错误码

状态码 描述
100 您的apikey值为空!
101 您的apikey值不存在!
103 当前接口为实名认证后可用,请您先进行实名!
104 请求频率超限!
105 接口不存在或已下线!
106 您的余额不足,请及时充值!
107 您当前的接口免费使用次数已用完,请明日再来!
109 您的账号已被封禁,不可使用任何接口!
110 接口维护中,请稍后再试!
111 请求参数不完整,请检查后再次访问!

错误响应示例

JSON
{
  "code": 1001,
  "message": "用户不存在",
  "data": null
}